<?php
/******************************************************************************
Site Building System "Web-Pro"
Copyright (C) 2003 - 2007 Richter.
See "index.php" in root of project for detailed information

Main configuration file
******************************************************************************/

switch ($config_stage) {
  // Section #1
  case '1':
    define('_MOBJ_THEMES_FOLDER_', 'themes/'); // Folder with decoration themes (with slash at the end)
    define('_MOBJ_BACKUPS_FOLDER_','data/backups/'); // Folder for backups
    define('_MOBJ_DECOR_FOLDER_', 'main/'); // Folder with decoration theme by default (with slash at the end)
    define('_MOBJ_DECOR_FILE_', 'decor_main.php'); // Decoration file by default
    define('_MOBJ_URL_', ''); // URL of project
    define('_MOBJ_LOCAL_PATH_', '/'); // Local path of project (with slash at the end)
    define('_MOBJ_I_', 'index.php'); // Filename of control script
    define('_MOBJ_DB_TPREF_', ''); // Database tables prefix (for modules)
    //******************** Place below your own settings **************************
    break;
  // Section #2
  case '2':
    // Built-in admin profile
    $mobj->admin_profile[id]		= 'admin';
    $mobj->admin_profile[login]		= 'admin';
    $mobj->admin_profile[psw]		= 'admin'; // Not encoded!
    $mobj->admin_profile[lng]		= 'en';
    $mobj->admin_profile[ug]		= '0';

    $mobj->DB				= ''; // DB name
    $mobj->DB_host			= ''; // DB host
    $mobj->DB_user			= ''; // DB username
    $mobj->DB_psw			= ''; // DB user password

    $mobj->show_error_stack		= FALSE; // Show or not contents of error stack

    $mobj->EP_log_period		= 30;
    $mobj->EP_mail_period		= 5;
    $mobj->EP_log_fullname		= _MOBJ_MODULES_FOLDER_.'u0/errors.log';

    $mobj->event_log_fullname		= _MOBJ_MODULES_FOLDER_.'u0/events.log';

    $mobj->mmm_404			= 'u0/cp/404';

    $mobj->email_support		= ''; // E-mail(s) of support service
    $mobj->email_admin			= ''; // E-mail(s) of administrator (for technical questions)
    //******************** Place below your own settings **************************
    break;
  // Section #3
  case '3':
    $mobj->EP_tmpl_err_item = '<div class="sys_mes">[ERR_MSG]</div>';

    define('_MOBJ_CMN_KEYWORDS_', ''); // Page common keywords (will presented on all pages)
    define('_MOBJ_TITLE_DFLT_', 'New project title'); // Page title by default
    define('_MOBJ_TITLE_TMPL_', 'New project title - [TITLE]'); // Page title template
    define('_MOBJ_PRJ_NAME_', 'New project'); // Name of a project
    //******************** Place below your own settings **************************
    break;
}
?>